"""===============================================================
منطق برنامه ای را طراحی کنید که عدد طبیعی N را در ورودی دریافت کند
و مشخص کند که این عدد تام است یا خیر؟
==============================================================="""
n = int(input("Please enter N: "))
count = 1
sigma = 0
while count < n:
    if n % count == 0:
        sigma += count
    count += 1
if sigma == n:
    print("="*20,"\nعدد تام است")
else:
    print("="*20,"\nعدد تام نیست")